Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.dataStructure
Class OntologyEntry

    java.lang.Object
      baseCode.dataStructure.OntologyEntry

Direct Known Subclasses:
  GOEntry

public class OntologyEntry
extends java.lang.Object

A class representing a descriptive term that can be associated with things. Copyright (c) 2004 Columbia University

Version:
  $Id: OntologyEntry.java,v 1.7 2004/07/27 03:18:58 pavlidis Exp $
Author:
  Paul Pavlidis

Constructor Summary
`OntologyEntry(java.lang.String id)`
`OntologyEntry(java.lang.String id, java.lang.String name, java.lang.String def)`

Method Summary
`java.lang.String` | `getDefinition()`
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`void` | `setDefinition(java.lang.String d)`
`void` | `setName(java.lang.String n)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OntologyEntry

    public OntologyEntry(java.lang.String id)

Parameters:
  `id` -

### OntologyEntry

    public OntologyEntry(java.lang.String id,
                         java.lang.String name,
                         java.lang.String def)

Parameters:
  `id` -
  `name` -
  `def` -

Method Detail

### getName

    public java.lang.String getName()

  Returns:

### getId

    public java.lang.String getId()

  Returns:

### getDefinition

    public java.lang.String getDefinition()

  Returns:

### setName

    public void setName(java.lang.String n)

  Parameters:
    `n` -

### setDefinition

    public void setDefinition(java.lang.String d)

  Parameters:
    `d` -

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.